Page MenuHomePhabricator

Test virtual machine migrations using Ceph based storage
Closed, ResolvedPublic

Description

Test live migrating a virtual machine between multiple hypervisors using Ceph based storage.

  • depool cloudvirt1015 and cloudvirt1016
  • evacuate existing VMs
  • Switch to the puppet role wmcs::openstack::eqiad1::virt+ceph
  • create new VMs with Ceph based disks
  • Confirm native openstack server migrate functions as expected

Details

Related Gerrit Patches:

Event Timeline

JHedden created this task.Jan 21 2020, 7:26 PM

Change 566345 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] openstack: depool cloudvirt1007 for ceph testing

https://gerrit.wikimedia.org/r/566345

Change 566345 merged by Jhedden:
[operations/puppet@production] openstack: depool cloudvirt1007 for ceph testing

https://gerrit.wikimedia.org/r/566345

JHedden triaged this task as High priority.Jan 21 2020, 10:29 PM
JHedden updated the task description. (Show Details)

Change 570358 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] openstack: update cloudvirt101[56] pool status

https://gerrit.wikimedia.org/r/570358

Change 570358 merged by Jhedden:
[operations/puppet@production] openstack: update cloudvirt101[56] pool status

https://gerrit.wikimedia.org/r/570358

Change 570363 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] openstack: switch cloudvirt101[56] to ceph storage

https://gerrit.wikimedia.org/r/570363

JHedden updated the task description. (Show Details)Feb 5 2020, 3:40 PM

Due to the number of hardware failures I'm going to to use 2 hosts ( cloudvirt101[56]) that are waiting for hardware replacements for migration testing.

Change 570363 merged by Jhedden:
[operations/puppet@production] openstack: switch cloudvirt101[56] to ceph storage

https://gerrit.wikimedia.org/r/570363

JHedden closed this task as Resolved.Feb 11 2020, 3:12 PM
JHedden updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-cloud) [2020-03-24T18:44:59Z] <jeh> cleanup and remove toolsbeta-elastic7-[1,2,3] VMs (re-configuring hypervisor for local storage) T243327

Mentioned in SAL (#wikimedia-cloud) [2020-03-24T19:41:05Z] <jeh> switch cloudvirt1016 from maintenance to standard host aggregate T243327